Skip to main content
GET
/
api
/
agents
List Agents
curl --request GET \
  --url https://api.getello.ai/api/agents \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.getello.ai/api/agents"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.getello.ai/api/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": 200,
  "message": "Assistants retrieved successfully",
  "data": [
    {
      "id": "698054b94168f285f5d3467b",
      "name": "My Hybrid Agent",
      "type": "hybrid",
      "updatedAt": "2026-03-19T08:12:33.503000Z",
      "voiceEngine": "sarvam",
      "phoneNumber": "+919247519114",
      "status": true
    }
  ],
  "pagination": {
    "page": 1,
    "limit": 10,
    "total": 3,
    "totalPages": 1,
    "hasNextPage": false,
    "hasPrevPage": false
  }
}
{
"status": 400,
"message": "Validation Error",
"errors": [
{
"field": "query.limit",
"message": "\"limit\" must be less than or equal to 100"
}
]
}
{
"status": 401,
"message": "Unauthorized access"
}
{
"status": 403,
"message": "This route requires a user token without scope"
}
{
"status": 500,
"message": "Error while fetching assistants",
"error": {
"details": "Some internal error message"
}
}

Authorizations

X-API-Key
string
header
required

Query Parameters

workspace_id
string
Example:

"6970c2f3948cfbce1932d99d"

page
integer
Required range: x >= 1
Example:

1

limit
integer
Required range: 1 <= x <= 100
Example:

10

category
string
Example:

"general"

Example:

"sales"

sort_field
enum<string>
Available options:
name,
type,
status,
createdAt,
updatedAt
Example:

"updatedAt"

sort_order
enum<string>
Available options:
asc,
desc
Example:

"desc"

start_date
string<date-time>
Example:

"2026-04-01T00:00:00.000Z"

end_date
string<date-time>
Example:

"2026-04-03T23:59:59.999Z"

filters

Response

Agents retrieved successfully

status
integer
Example:

200

message
string
Example:

"Assistants retrieved successfully"

data
object[]
pagination
object